button[mat-button] {
  $small-size-button: 34px;
  $small-size-icon: 20px;

  &.mat-button-small {
    height: $small-size-button;
    line-height: $small-size-button;

    .mat-icon {
      font-size: $small-size-icon;
      width: $small-size-icon;
      height: $small-size-icon;
      line-height: $small-size-icon;
    }

    .mat-mdc-button-ripple {
      font-size: inherit;
      width: inherit;
      height: inherit;
      line-height: inherit;
    }

    .mat-mdc-button-touch-target {
      font-size: inherit;
      width: inherit;
      height: inherit;
      line-height: inherit;
    }
  }

  &.mat-notification-button-small {
    height: $small-size-button;
    line-height: $small-size-button;

    .mat-mdc-button-ripple {
      font-size:  $small-size-button;
      width:  $small-size-button;
      height:  $small-size-button;
      line-height:  $small-size-button;
    }

    .mat-mdc-button-touch-target {
      font-size:  $small-size-button;
      width:  $small-size-button;
      height:  $small-size-button;
      line-height:  $small-size-button;
    }
  }
}